#encoding=UTF-8
# Configuration files must begin with a line specifying the encoding
#  of the the file.
#
# NOTE - Please use src/conf/wrapper.conf.in as a template for your
#        own application rather than the values used for the
#        TestWrapper sample.

#********************************************************************
# Wrapper License Properties (Ignored by Community Edition)
#********************************************************************
# Professional and Standard Editions of the Wrapper require a valid
#  License Key to start.  Licenses can be purchased or a trial license
#  requested on the following pages:
# http://wrapper.tanukisoftware.com/purchase
# http://wrapper.tanukisoftware.com/trial

# Include file problems can be debugged by leaving only one '#'
#  at the beginning of the following line:
##include.debug

# The Wrapper will look for either of the following optional files for a
#  valid License Key.  License Key properties can optionally be included
#  directly in this configuration file.
#include ../conf/wrapper-license.conf
#include ../conf/wrapper-license-%WRAPPER_HOST_NAME%.conf

# The following property will output information about which License Key(s)
#  are being found, and can aid in resolving any licensing problems.
#wrapper.license.debug=TRUE

#********************************************************************
# Wrapper Localization
#********************************************************************
# Specify the language and locale which the Wrapper should use.
#wrapper.lang=en_US # en_US or ja_JP

# Specify the location of the language resource files (*.mo).
wrapper.lang.folder=../lang

#********************************************************************
# Wrapper Java Properties
#********************************************************************
# Java Application
#  Locate the java binary on the system PATH:

#  Specify a specific java binary:
set.MYAPP_HOME=C:\gamebai\poker
set.JAVA_HOME=C:\Program Files (x86)\Java\jdk1.8.0_181
wrapper.java.command=%JAVA_HOME%/bin/java

# Tell the Wrapper to log the full generated Java command line.
#wrapper.java.command.loglevel=INFO

# Java Main class.  This class must implement the WrapperListener interface
#  or guarantee that the WrapperManager class is initialized.  Helper
#  classes are provided to do this for you.
#  See the following page for details:
#  http://wrapper.tanukisoftware.com/doc/english/integrate.html
wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperSimpleApp

# Java Classpath (include wrapper.jar)  Add class path elements as
#  needed starting from 1
wrapper.java.classpath.1=%MYAPP_HOME%/java-libs/wrapper.jar
wrapper.java.classpath.2=%MYAPP_HOME%/java-libs/apache-mime4j-0.6.jar

wrapper.java.classpath.3=%MYAPP_HOME%/java-libs/axis.jar

wrapper.java.classpath.4=%MYAPP_HOME%/java-libs/bcmail-jdk16-1.46.jar

wrapper.java.classpath.5=%MYAPP_HOME%/java-libs/bcprov-ext-jdk16-1.46.jar

wrapper.java.classpath.6=%MYAPP_HOME%/java-libs/bcprov-jdk15on-1.54.jar

wrapper.java.classpath.7=%MYAPP_HOME%/java-libs/bcprov-jdk16-1.44.jar

wrapper.java.classpath.8=%MYAPP_HOME%/java-libs/boot.jar

wrapper.java.classpath.9=%MYAPP_HOME%/java-libs/bz-allinone.jar


wrapper.java.classpath.14=%MYAPP_HOME%/java-libs/card-core.jar

wrapper.java.classpath.15=%MYAPP_HOME%/java-libs/commons-beanutils-1.7.0.jar

wrapper.java.classpath.16=%MYAPP_HOME%/java-libs/commons-cli-1.1.jar

wrapper.java.classpath.17=%MYAPP_HOME%/java-libs/commons-codec-1.6.jar

wrapper.java.classpath.18=%MYAPP_HOME%/java-libs/commons-collections-3.2.1.jar

wrapper.java.classpath.19=%MYAPP_HOME%/java-libs/commons-dbcp-1.4.jar

wrapper.java.classpath.20=%MYAPP_HOME%/java-libs/commons-discovery-0.2.jar

wrapper.java.classpath.21=%MYAPP_HOME%/java-libs/commons-io-1.4.jar

wrapper.java.classpath.22=%MYAPP_HOME%/java-libs/commons-lang-2.4.jar

wrapper.java.classpath.23=%MYAPP_HOME%/java-libs/commons-lang3-3.0.1.jar

wrapper.java.classpath.24=%MYAPP_HOME%/java-libs/commons-logging-1.1.3.jar

wrapper.java.classpath.25=%MYAPP_HOME%/java-libs/commons-pool-1.5.5.jar

wrapper.java.classpath.26=%MYAPP_HOME%/java-libs/commons-vfs-1.0.jar

wrapper.java.classpath.27=%MYAPP_HOME%/java-libs/couchbase-client.jar

wrapper.java.classpath.28=%MYAPP_HOME%/java-libs/dbpool-6.0.jar

wrapper.java.classpath.29=%MYAPP_HOME%/java-libs/ezmorph-1.0.6.jar

wrapper.java.classpath.30=%MYAPP_HOME%/java-libs/fb303.jar

wrapper.java.classpath.31=%MYAPP_HOME%/java-libs/gson-2.2.2-javadoc.jar

wrapper.java.classpath.32=%MYAPP_HOME%/java-libs/gson-2.2.2-sources.jar

wrapper.java.classpath.33=%MYAPP_HOME%/java-libs/gson-2.2.2.jar

wrapper.java.classpath.34=%MYAPP_HOME%/java-libs/hazelcast-3.6.4.jar

wrapper.java.classpath.35=%MYAPP_HOME%/java-libs/hazelcast-client-3.6.4.jar

wrapper.java.classpath.36=%MYAPP_HOME%/java-libs/hsqldb.jar

wrapper.java.classpath.37=%MYAPP_HOME%/java-libs/httpclient-4.3.3.jar

wrapper.java.classpath.38=%MYAPP_HOME%/java-libs/httpclient-cache-4.3.3.jar

wrapper.java.classpath.39=%MYAPP_HOME%/java-libs/httpcore-4.3.2.jar

wrapper.java.classpath.40=%MYAPP_HOME%/java-libs/httpcore-nio-4.0.1.jar

wrapper.java.classpath.41=%MYAPP_HOME%/java-libs/httpmime-4.3.3.jar

wrapper.java.classpath.42=%MYAPP_HOME%/java-libs/imap.jar

wrapper.java.classpath.43=%MYAPP_HOME%/java-libs/jackson-annotations-2.4.0.jar

wrapper.java.classpath.44=%MYAPP_HOME%/java-libs/jackson-core-2.4.1.jar

wrapper.java.classpath.45=%MYAPP_HOME%/java-libs/jackson-databind-2.4.1.jar

wrapper.java.classpath.46=%MYAPP_HOME%/java-libs/java-client-2.3.3.jar

wrapper.java.classpath.47=%MYAPP_HOME%/java-libs/java_websocket.jar

wrapper.java.classpath.48=%MYAPP_HOME%/java-libs/jaxrpc.jar

wrapper.java.classpath.49=%MYAPP_HOME%/java-libs/jboss-logging-3.3.0.Final.jar

wrapper.java.classpath.50=%MYAPP_HOME%/java-libs/jboss-marshalling-1.4.11.Final.jar

wrapper.java.classpath.51=%MYAPP_HOME%/java-libs/jboss-marshalling-river-1.4.11.Final.jar

wrapper.java.classpath.52=%MYAPP_HOME%/java-libs/jedis-2.0.0.jar

wrapper.java.classpath.53=%MYAPP_HOME%/java-libs/jettison.jar

wrapper.java.classpath.54=%MYAPP_HOME%/java-libs/jmx-util-1.2.3.jar

wrapper.java.classpath.55=%MYAPP_HOME%/java-libs/joda-time-1.6.jar

wrapper.java.classpath.56=%MYAPP_HOME%/java-libs/joda-time-2.2.jar

wrapper.java.classpath.57=%MYAPP_HOME%/java-libs/js.jar

wrapper.java.classpath.58=%MYAPP_HOME%/java-libs/json-lib-2.2.3-jdk15.jar

wrapper.java.classpath.59=%MYAPP_HOME%/java-libs/json-simple-1.1.1.jar

wrapper.java.classpath.60=%MYAPP_HOME%/java-libs/json.jar

wrapper.java.classpath.61=%MYAPP_HOME%/java-libs/jtds-1.2.5.jar

wrapper.java.classpath.62=%MYAPP_HOME%/java-libs/junit-4.8.2.jar

wrapper.java.classpath.63=%MYAPP_HOME%/java-libs/jython.jar

wrapper.java.classpath.64=%MYAPP_HOME%/java-libs/libthrift-r917130.jar

wrapper.java.classpath.65=%MYAPP_HOME%/java-libs/log4j-1.2.15.jar

wrapper.java.classpath.66=%MYAPP_HOME%/java-libs/logs-analysis-app.jar

wrapper.java.classpath.67=%MYAPP_HOME%/java-libs/logs-backup-app.jar

wrapper.java.classpath.68=%MYAPP_HOME%/java-libs/mailapi.jar

wrapper.java.classpath.69=%MYAPP_HOME%/java-libs/mongo-java-driver-3.3.0.jar

wrapper.java.classpath.70=%MYAPP_HOME%/java-libs/mvel2-2.2.0.Final.jar

wrapper.java.classpath.71=%MYAPP_HOME%/java-libs/mysql-connector-java-5.0.4-bin.jar

wrapper.java.classpath.72=%MYAPP_HOME%/java-libs/netty-3.10.5.Final.jar

wrapper.java.classpath.73=%MYAPP_HOME%/java-libs/npn-api-1.1.1.v20141010.jar

wrapper.java.classpath.74=%MYAPP_HOME%/java-libs/npn-boot-8.1.2.v20120308.jar

wrapper.java.classpath.75=%MYAPP_HOME%/java-libs/org.osgi.core-6.0.0.jar

wrapper.java.classpath.76=%MYAPP_HOME%/java-libs/org.osgi.service.log-1.3.0.jar

wrapper.java.classpath.77=%MYAPP_HOME%/java-libs/pop3.jar

wrapper.java.classpath.78=%MYAPP_HOME%/java-libs/protobuf-java-2.6.1.jar

wrapper.java.classpath.79=%MYAPP_HOME%/java-libs/proxool-0.9.1.jar

wrapper.java.classpath.80=%MYAPP_HOME%/java-libs/proxool-cglib.jar

wrapper.java.classpath.81=%MYAPP_HOME%/java-libs/rabbitmq-client.jar



wrapper.java.classpath.83=%MYAPP_HOME%/java-libs/scala-library.jar

wrapper.java.classpath.84=%MYAPP_HOME%/java-libs/scribe.jar

wrapper.java.classpath.85=%MYAPP_HOME%/java-libs/servlet-api-2.5.jar

wrapper.java.classpath.86=%MYAPP_HOME%/java-libs/sigar.jar

wrapper.java.classpath.87=%MYAPP_HOME%/java-libs/slf4j-api-1.7.5.jar

wrapper.java.classpath.88=%MYAPP_HOME%/java-libs/slf4j-log4j12-1.7.5.jar

wrapper.java.classpath.89=%MYAPP_HOME%/java-libs/smtp.jar

wrapper.java.classpath.90=%MYAPP_HOME%/java-libs/spymemcached-2.12.1-sources.jar

wrapper.java.classpath.91=%MYAPP_HOME%/java-libs/spymemcached-2.12.1.jar

wrapper.java.classpath.92=%MYAPP_HOME%/java-libs/supercsv.jar

wrapper.java.classpath.93=%MYAPP_HOME%/java-libs/terracotta-api-1.1.1.jar

wrapper.java.classpath.94=%MYAPP_HOME%/java-libs/tomcat-catalina-8.5.3.jar

wrapper.java.classpath.95=%MYAPP_HOME%/java-libs/tomcat-jni-8.5.3.jar

wrapper.java.classpath.96=%MYAPP_HOME%/java-libs/VBeeCommon.jar


wrapper.java.classpath.98=%MYAPP_HOME%/java-libs/VinPlayCardLib.jar

wrapper.java.classpath.99=%MYAPP_HOME%/java-libs/VinPlayDAL.jar

wrapper.java.classpath.100=%MYAPP_HOME%/java-libs/VinPlayUserCore.jar

wrapper.java.classpath.101=%MYAPP_HOME%/java-libs/wsdl4j.jar

wrapper.java.classpath.102=%MYAPP_HOME%/java-libs/xpp3_min-1.1.4c.jar

wrapper.java.classpath.103=%MYAPP_HOME%/java-libs/xstream-1.3.1.jar
wrapper.java.classpath.104=%MYAPP_HOME%/Poker.jar
# Java Library Path (location of Wrapper.DLL or libwrapper.so)
wrapper.java.library.path.1=%MYAPP_HOME%/java-libs

# Java Bits.  On applicable platforms, tells the JVM to run in 32 or 64-bit mode.
wrapper.java.additional.auto_bits=TRUE

# Java Additional Parameters
wrapper.java.additional.1=

# Initial Java Heap Size (in MB)
#wrapper.java.initmemory=3

# Maximum Java Heap Size (in MB)
#wrapper.java.maxmemory=128

# Application parameters.  Add parameters as needed starting from 1
#wrapper.app.parameter.1=

#********************************************************************
# Wrapper Logging Properties
#********************************************************************
# Enables Debug output from the Wrapper.
# wrapper.debug=TRUE

# Format of output for the console.  (See docs for formats)
wrapper.console.format=PM

# Log Level for console output.  (See docs for log levels)
wrapper.console.loglevel=INFO

# Log file to use for wrapper output logging.
wrapper.logfile=../logs/poker/GameBai_Poker.log

# Format of output for the log file.  (See docs for formats)
wrapper.logfile.format=LPTM

# Log Level for log file output.  (See docs for log levels)
wrapper.logfile.loglevel=INFO

# Maximum size that the log file will be allowed to grow to before
#  the log is rolled. Size is specified in bytes.  The default value
#  of 0, disables log rolling.  May abbreviate with the 'k' (kb) or
#  'm' (mb) suffix.  For example: 10m = 10 megabytes.
wrapper.logfile.maxsize=10m
# Maximum number of rolled log files which will be allowed before old
#  files are deleted.  The default value of 0 implies no limit.
wrapper.logfile.maxfiles=15

# Log Level for sys/event log output.  (See docs for log levels)
wrapper.syslog.loglevel=NONE

#********************************************************************
# Wrapper General Properties
#********************************************************************
# Allow for the use of non-contiguous numbered properties
wrapper.ignore_sequence_gaps=TRUE

# Do not start if the pid file already exists.
wrapper.pidfile.strict=TRUE

# Title to use when running as a console
wrapper.console.title=Poker Websocket

#********************************************************************
# Wrapper JVM Checks
#********************************************************************
# Detect DeadLocked Threads in the JVM. (Requires Standard Edition)
wrapper.check.deadlock=TRUE
wrapper.check.deadlock.interval=10
wrapper.check.deadlock.action=RESTART
wrapper.check.deadlock.output=FULL

# Out Of Memory detection.
# (Ignore output from dumping the configuration to the console.  This is only needed by the TestWrapper sample application.)
wrapper.filter.trigger.999=wrapper.filter.trigger.*java.lang.OutOfMemoryError
wrapper.filter.allow_wildcards.999=TRUE
wrapper.filter.action.999=NONE
#  Ignore -verbose:class output to avoid false positives.
wrapper.filter.trigger.1000=[Loaded java.lang.OutOfMemoryError
wrapper.filter.action.1000=NONE
# (Simple match)
wrapper.filter.trigger.1001=java.lang.OutOfMemoryError
# (Only match text in stack traces if -XX:+PrintClassHistogram is being used.)
#wrapper.filter.trigger.1001=Exception in thread "*" java.lang.OutOfMemoryError
#wrapper.filter.allow_wildcards.1001=TRUE
wrapper.filter.action.1001=RESTART
wrapper.filter.message.1001=The JVM has run out of memory.

#********************************************************************
# Wrapper Email Notifications. (Requires Professional Edition)
#********************************************************************
# Common Event Email settings.
#wrapper.event.default.email.debug=TRUE
#wrapper.event.default.email.smtp.host=<SMTP_Host>
#wrapper.event.default.email.smtp.port=25
#wrapper.event.default.email.subject=[%WRAPPER_HOSTNAME%:%WRAPPER_NAME%:%WRAPPER_EVENT_NAME%] Event Notification
#wrapper.event.default.email.sender=<Sender email>
#wrapper.event.default.email.recipient=<Recipient email>

# Configure the log attached to event emails.
#wrapper.event.default.email.maillog=ATTACHMENT
#wrapper.event.default.email.maillog.lines=50
#wrapper.event.default.email.maillog.format=LPTM
#wrapper.event.default.email.maillog.loglevel=INFO

# Enable specific event emails.
#wrapper.event.wrapper_start.email=TRUE
#wrapper.event.jvm_prelaunch.email=TRUE
#wrapper.event.jvm_start.email=TRUE
#wrapper.event.jvm_started.email=TRUE
#wrapper.event.jvm_deadlock.email=TRUE
#wrapper.event.jvm_stop.email=TRUE
#wrapper.event.jvm_stopped.email=TRUE
#wrapper.event.jvm_restart.email=TRUE
#wrapper.event.jvm_failed_invocation.email=TRUE
#wrapper.event.jvm_max_failed_invocations.email=TRUE
#wrapper.event.jvm_kill.email=TRUE
#wrapper.event.jvm_killed.email=TRUE
#wrapper.event.jvm_unexpected_exit.email=TRUE
#wrapper.event.wrapper_stop.email=TRUE

# Specify custom mail content
wrapper.event.jvm_restart.email.body=The JVM was restarted.\n\nPlease check on its status.\n

#********************************************************************
# Wrapper Windows Service Properties
#********************************************************************
# WARNING - Do not modify any of these properties when an application
#  using this configuration file has been installed as a service.
#  Please uninstall the service before modifying this section.  The
#  service can then be reinstalled.

# Name of the service
wrapper.name=GameBai_Poker

# Display name of the service
wrapper.displayname=GameBai_Poker

# Description of the service
wrapper.description=GameBai_Poker Application Description

# Service dependencies.  Add dependencies as needed starting from 1
wrapper.ntservice.dependency.1=

# Mode in which the service is installed.  AUTO_START, DELAY_START or DEMAND_START
wrapper.ntservice.starttype=AUTO_START

# Allow the service to interact with the desktop (Windows NT/2000/XP only).
wrapper.ntservice.interactive=FALSE

# Application parameters. Add parameters as needed starting from 1
wrapper.app.parameter.1=bitzero.server.Main
